Accept Suggestion
POST
/api/canvas/{deal_id}/suggestions/{comment_id}/accept
const url = 'https://example.com/api/canvas/example/suggestions/example/accept';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/suggestions/example/accept \ --header 'Authorization: Bearer <token>'Accept a suggestion: resolves comment, frontend applies the diff.
RequireEditor — only editors and owners can accept/reject suggestions. Returns the suggestion metadata so the frontend can apply the change.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
comment_id
required
Comment Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}